public class Nachrichtenaustausch

{
    Entschluesselung ent; 
    Verschluesselung ver; 
    
    public Nachrichtenaustausch(){
        ent = new Entschluesselung();
        ver = new Verschluesselung();
    }
    
    public String verUndEntschluesseln(String klartext){
        int schluessel = generiereSchluessel(klartext);
        
        String geheimtext = ver.verschluesseln(klartext, schluessel);
        return ent.entschluesseln(geheimtext, schluessel);
        
    }
    
    public void verschluesseln(String klartext){
        int schluessel = generiereSchluessel(klartext);
        System.out.println(ver.verschluesseln(klartext, schluessel));
    }
    
    public void entschluesseln(String geheimtext){
        int schluessel = generiereSchluessel(geheimtext);
        System.out.println(ent.entschluesseln(geheimtext, schluessel));
    }
    
    
    
    private int generiereSchluessel(String text){
        int schluessel = text.length() % 4;
        schluessel = schluessel +1;
        return schluessel;
    }
    
    
}
